<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.base.mapper.CompanyMapper">

    <resultMap id="companyMap" type="com.tofly.base.entity.Company">
        <id property="id" column="ID"/>
        <result property="companyName" column="COMPANY_NAME"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <result property="statusFlag" column="STATUS_FLAG"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="parentId" column="PARENT_ID"/>
        <result property="coding" column="CODING"/>
        <result property="address" column="ADDRESS"/>
        <result property="phone" column="PHONE"/>
        <result property="abbreviation" column="ABBREVIATION"/>
        <result property="code" column="CODE"/>
        <result property="companyRemark" column="COMPANY_REMARK"/>
        <result property="companyDescribe" column="COMPANY_DESCRIBE"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>

</mapper>
